Last Comment Bug 666580 - Use a transaction for indexedDB schema creation
: Use a transaction for indexedDB schema creation
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: IndexedDB (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Marco Bonardo [::mak] (Away 6-20 Aug)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-23 07:14 PDT by Marco Bonardo [::mak] (Away 6-20 Aug)
Modified: 2012-03-22 16:57 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch v1.0 (2.63 KB, patch)
2011-06-23 07:20 PDT, Marco Bonardo [::mak] (Away 6-20 Aug)
bent.mozilla: review+
Details | Diff | Splinter Review
patch v1.1 (1.67 KB, patch)
2011-09-28 03:03 PDT, Marco Bonardo [::mak] (Away 6-20 Aug)
no flags Details | Diff | Splinter Review

Description Marco Bonardo [::mak] (Away 6-20 Aug) 2011-06-23 07:14:58 PDT
This may use a transaction for safety (concurrent connections) and performance (less fsyncs).
Comment 1 Marco Bonardo [::mak] (Away 6-20 Aug) 2011-06-23 07:20:30 PDT
Created attachment 541370 [details] [diff] [review]
patch v1.0

Apart the transaction that should be pretty stright-forward, is there a reason for immediate being used only for read_write rather than for anything not read_only? I assumed version change is also a write and may like it.
And sorry, As a db lover I could not resist changing the T-Sql END to a proper COMMIT. Really this is for search reasons, I found hard to find in mxr where the transaction was committed, till I found it by manual inspection.
Comment 2 Ben Turner (not reading bugmail, use the needinfo flag!) 2011-09-27 11:25:06 PDT
Comment on attachment 541370 [details] [diff] [review]
patch v1.0

Review of attachment 541370 [details] [diff] [review]:
-----------------------------------------------------------------

Looks fine, thanks!
Comment 3 Marco Bonardo [::mak] (Away 6-20 Aug) 2011-09-28 03:03:59 PDT
Created attachment 563016 [details] [diff] [review]
patch v1.1

just an unbitrot
Comment 4 Marco Bonardo [::mak] (Away 6-20 Aug) 2011-09-28 03:05:25 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/01f5a405be12
Comment 5 Michael Wu [:mwu] 2011-09-29 01:25:49 PDT
https://hg.mozilla.org/mozilla-central/rev/01f5a405be12
Comment 6 Marco Bonardo [::mak] (Away 6-20 Aug) 2012-03-22 16:57:36 PDT
Kyle, in case you didn't notice you unset the TM field for all moved indexedDB bugs.

Note You need to log in before you can comment on or make changes to this bug.